BITCOUNT(3G)

NAME
bitCount - counts the number of 1 bits in an integer

DECLARATION

genIType bitCount(genIType value);

genIType bitCount(genUType value);

PARAMETERS

value
    Specifies the value whose bits to count.

DESCRIPTION

bitCount returns the number of bits that are set to 1 in the binary representation of value.

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
bitCount | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

SEE ALSO

findLSB(), findMSB()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group